// Generated by CoffeeScript 2.6.1
var clear_timeout, duration, iframe, init, load, load_random, message, page, pages, random, random_duration, select, socket, timeout;

duration = {
  min: 10,
  max: 30
};

random_duration = function() {
  return Math.floor(duration.min + Math.random() * (duration.max - duration.min)) * 1000;
};

iframe = document.getElementById("main");

socket = io();

pages = [];

page = null;

timeout = null;

clear_timeout = function() {
  if (timeout != null) {
    return clearTimeout(timeout);
  }
};

load = function(p) {
  page = p;
  console.log(`[im@ter] load '${p}'`);
  return iframe.src = `pages/${p}/index.html`;
};

init = function(ps) {
  pages = ps;
  return load_random();
};

select = function(p) {
  clear_timeout();
  return load(p);
};

random = function() {
  var ps;
  ps = pages.filter(function(p) {
    return p !== page;
  });
  return ps[Math.floor(Math.random() * ps.length)];
};

load_random = function() {
  clear_timeout();
  load(random());
  return timeout = setTimeout(load_random, random_duration());
};

message = function(m) {
  return load_random();
};

window.addEventListener("message", message);

socket.on("init", init);

socket.on("select", select);

//# sourceMappingURL=main.js.map
